import * as react_jsx_runtime from 'react/jsx-runtime';
import React from 'react';

interface TableProps<T> {
    columns: string[];
    data: T[];
    props: ReadonlyArray<keyof T>;
    actions?: boolean;
    actionTexts?: string[];
    loading?: boolean;
    actionFunctions?: Array<(item: T) => void>;
    searchValue?: string;
}
interface ActionDropdownProps<T> {
    item: T;
    index: number;
    actionTexts: string[];
    actionFunctions: Array<(item: T) => void>;
}

declare function TableComponent<T>({ columns, data, props, actions, actionTexts, loading, actionFunctions, searchValue, }: TableProps<T>): react_jsx_runtime.JSX.Element;

declare const ActionDropdown: <T>({ item, index, actionTexts, actionFunctions, }: ActionDropdownProps<T>) => react_jsx_runtime.JSX.Element;

declare const TableSkeleton: React.FC;

interface NoContentProps {
    name: string;
}
declare const NoContentComponent: React.FC<NoContentProps>;

export { ActionDropdown, type ActionDropdownProps, NoContentComponent, TableComponent, type TableProps, TableSkeleton };
